﻿<?xml version="1.0" encoding="utf-8"?>
<Project>
  <Import Project="Sdk.props" Sdk="Microsoft.NET.Sdk" />
  <Import Project="..\netfx.props" />
  <PropertyGroup>
    <Version>1.0.0</Version>
    <GameName>TheForest</GameName>
    <Authors>uMod Project Team and Contributors</Authors>
    <Copyright>(c) 2013-$([System.DateTime]::Now.Year) $(Authors)</Copyright>
    <Description>The Forest game extension for the uMod platform</Description>
    <RepositoryUrl>https://gitlab.com/umod/games/the-forest</RepositoryUrl>
    <PackageIconUrl>icon.png</PackageIconUrl>
    <PackageLicenseExpression>MIT</PackageLicenseExpression>
    <PackageProjectUrl>$(RepositoryUrl)</PackageProjectUrl>
    <TargetFrameworks>net35</TargetFrameworks>
    <SteamAppId>556450</SteamAppId>
    <SteamBranch>public</SteamBranch>
    <SteamLogin>anonymous</SteamLogin>
    <GamePlatform>windows</GamePlatform>
    <GameExe>TheForestDedicatedServer.exe</GameExe>
    <ManagedDir>TheForestDedicatedServer_Data/Managed</ManagedDir>
    <Configurations>Debug;Local;Release</Configurations>
    <PackageId Condition="'$(Configuration)' == 'Local'">$(AssemblyName).Local</PackageId>
    <NoWarn>NU1605;NU5105</NoWarn>
  </PropertyGroup>
  <Choose>
    <When Condition="'$(Configuration)' == 'Local'">
      <ItemGroup>
        <PackageReference Include="uMod.Core.Local" Version="*" />
        <PackageReference Include="uMod.References.Local" Version="*" />
        <PackageReference Include="uMod.Unity-5.6.5.Local" Version="*" />
      </ItemGroup>
    </When>
    <Otherwise>
      <ItemGroup>
        <PackageReference Include="uMod.Core" Version="1.0.1291-develop" />
        <PackageReference Include="uMod.References" Version="1.0.75-develop" GeneratePathProperty="true" />
        <PackageReference Include="uMod.Unity-5.6.5" Version="1.0.538-develop" />
      </ItemGroup>
    </Otherwise>
  </Choose>
  <ItemGroup>
    <Reference Include="Assembly-CSharp.dll" />
    <Reference Include="Assembly-CSharp-firstpass.dll" />
    <Reference Include="Assembly-UnityScript.dll" />
    <Reference Include="bolt.dll" />
    <Reference Include="bolt.user.dll" />
    <Reference Include="mscorlib.dll" />
    <Reference Include="PlayMaker.dll" />
    <Reference Include="udpkit.dll" />
    <Reference Include="udpkit.common.dll" />
    <Reference Include="UnityEngine.dll" />
    <None Include="..\resources\icon.png" Pack="true" PackagePath="\" />
    <None Remove="Bundle\**; dependencies\**; *.config; *.opj; uMod.Manifest.json" />
  </ItemGroup>
  <ItemGroup>
    <PatchedFiles Include="$(TargetDir)Assembly-CSharp.dll; $(TargetDir)Assembly-UnityScript.dll; $(TargetDir)bolt.dll" />
  </ItemGroup>
  <Import Project="Sdk.targets" Sdk="Microsoft.NET.Sdk" />
  <Target Name="LocalNuGetDeploy" AfterTargets="Pack" Condition="'$(Configuration)' == 'Local'">
    <Exec Condition="Exists('$(NuGetPackageRoot)\$(PackageId)\$(PackageVersion)')" Command="dotnet nuget delete $(PackageId) $(PackageVersion) --source $(NuGetPackageRoot) --non-interactive" />
    <Exec Command="dotnet nuget push $(PackageOutputPath)$(PackageId).$(PackageVersion).nupkg --source $(NuGetPackageRoot)" />
  </Target>
  <Import Project="..\Game.targets" />
</Project>
